<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__adc" kind="group">
    <compoundname>group_hal_results_adc</compoundname>
    <title>ADC HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__adc_1ga3d8e417cb13c7037656de9a885e6de81" kind="define" prot="public" static="no">
        <name>CYHAL_ADC_RSLT_BAD_ARGUMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a5d2be4eb2e87e5d4f89f4b01cc69abc1">CYHAL_RSLT_MODULE_ADC</ref>, 0))</initializer>
        <briefdescription>
<para>Bad argument. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="98" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="98" />
      </memberdef>
      <memberdef id="group__group__hal__results__adc_1gac6fa25d6210c13d2d0357f113cb34476" kind="define" prot="public" static="no">
        <name>CYHAL_ADC_RSLT_FAILED_CLOCK</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a5d2be4eb2e87e5d4f89f4b01cc69abc1">CYHAL_RSLT_MODULE_ADC</ref>, 1))</initializer>
        <briefdescription>
<para>Failed to initialize ADC clock. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="101" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="101" />
      </memberdef>
      <memberdef id="group__group__hal__results__adc_1ga700ada6b3f2a27d9c971e12806a30c85" kind="define" prot="public" static="no">
        <name>CYHAL_ADC_RSLT_FAILED_INIT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a5d2be4eb2e87e5d4f89f4b01cc69abc1">CYHAL_RSLT_MODULE_ADC</ref>, 2))</initializer>
        <briefdescription>
<para>Failed to initialize ADC. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="104" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="104" />
      </memberdef>
      <memberdef id="group__group__hal__results__adc_1gad8d60d07e594780a0063c8fe0c54a73d" kind="define" prot="public" static="no">
        <name>CYHAL_ADC_RSLT_NO_CHANNELS</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a5d2be4eb2e87e5d4f89f4b01cc69abc1">CYHAL_RSLT_MODULE_ADC</ref>, 3))</initializer>
        <briefdescription>
<para>No channels available. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" bodystart="107" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_adc.h" line="107" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>ADC specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>